Skip to main content

The REST Admin API is a legacy API as of October 1, 2024. Starting April 1, 2025, all new public apps must be built exclusively with the GraphQL Admin API.

Dispute Evidence

Requires shopify_payments_dispute_evidences access scope.

Dispute evidence is submitted by the merchant to support the legitimacy of a dispute .

Was this section helpful?

Anchor to

The Dispute Evidence resource

Anchor to

Properties


id
->
id

The ID of the dispute evidence.


payments_dispute_id
->
id

The ID of the dispute that the dispute evidence belongs to.


access_activity_log

The activity logs associated with the dispute evidence.


customer_email_address

The customer's email address.


customer_first_name

The customer's first name.


customer_last_name

The customer's last name.


uncategorized_text

The uncategorized text for the dispute evidence.


shipping_address

The mailing address for shipping that is provided by the customer.


cancellation_policy_disclosure

The cancellation policy disclosure associated with the dispute evidence.


cancellation_rebuttal

The cancellation rebuttal associated with the dispute evidence.


refund_policy_disclosure

The refund policy disclosure associated with the dispute evidence.


refund_refusal_explanation

The refund refusal explanation associated with the dispute evidence.


Was this section helpful?
{}

The Dispute Evidence resource

{
"id": 54534554564,
"payments_dispute_id": 54534554564,
"access_activity_log": "Test access activity logs",
"customer_email_address": "kermit@shopify.com",
"customer_first_name": "Kermit",
"customer_last_name": "The Frog",
"uncategorized_text": "Other compelling text for dispute",
"shipping_address": {
"address1": "1 Infinite Loop",
"address2": "Muppet Studio",
"city": "Cupertino",
"zip": "95014",
"country": "United States",
"country_code": "US",
"province": "California",
"province_code": "CA"
},
"cancellation_policy_disclosure": "Test cancellation policy disclosure",
"cancellation_rebuttal": "Test cancellation rebuttal",
"refund_policy_disclosure": "Test refund policy disclosure",
"refund_refusal_explanation": "Test refund refusal explanation",
"product_description": {
"Product name": "Draft",
"Title": "151cm",
"Price": "$10.00",
"Quantity": "1",
"Product Description": "good board"
},
"submitted": false,
"created_at": "2022-01-09T11:00:00-05:00",
"updated_on": "2022-01-09T11:00:00-05:00",
"dispute_evidence_files": {
"cancellation_policy_file_id": null,
"customer_communication_file_id": null,
"refund_policy_file_id": null,
"service_documentation_file_id": null,
"shipping_documentation_file_id": null,
"uncategorized_file_id": 1
},
"billing_address": {
"address1": "1 Infinite Loop",
"address2": "Muppet Studio",
"city": "Cupertino",
"zip": "95014",
"country": "United States",
"country_code": "US",
"province": "California",
"province_code": "CA"
},
"fulfillments": [
{
"shipping_carrier": "FedEx",
"shipping_tracking_number": 4321,
"shipping_date": "2017-01-02T13:00:00+00:00"
}
]
}

Anchor to GET request, Returns evidence associated with the dispute
get
Returns evidence associated with the dispute

Retrieves evidence associated with dispute ID.


api_version
string
required

dispute_id
string
required

Was this section helpful?

Retrieves dispute evidence by dispute ID

Path parameters
dispute_id=598735659
string
required
Was this section helpful?
get

/admin/api/unstable/shopify_payments/disputes/598735659/dispute_evidences.json

curl -X GET "https://your-development-store.myshopify.com/admin/api/unstable/shopify_payments/disputes/598735659/dispute_evidences.json" \
-H "X-Shopify-Access-Token: {access_token}"
{}

Response

JSON
HTTP/1.1 200 OK
{
"dispute_evidence": {
"id": 819974671,
"payments_dispute_id": 598735659,
"access_activity_log": null,
"billing_address": {
"id": 867402159,
"address1": "123 Amoebobacterieae St",
"address2": "",
"city": "Ottawa",
"province": "Ontario",
"province_code": "ON",
"country": "Canada",
"country_code": "CA",
"zip": "K2P0V6"
},
"cancellation_policy_disclosure": null,
"cancellation_rebuttal": null,
"customer_email_address": "example@shopify.com",
"customer_first_name": "Kermit",
"customer_last_name": "the Frog",
"product_description": "Product name: Draft\nTitle: 151cm\nPrice: $10.00\nQuantity: 1\nProduct Description: good board",
"refund_policy_disclosure": null,
"refund_refusal_explanation": null,
"shipping_address": {
"id": 867402159,
"address1": "123 Amoebobacterieae St",
"address2": "",
"city": "Ottawa",
"province": "Ontario",
"province_code": "ON",
"country": "Canada",
"country_code": "CA",
"zip": "K2P0V6"
},
"uncategorized_text": "Sample uncategorized text",
"created_at": "2026-01-09T17:04:11-05:00",
"updated_at": "2026-01-09T17:31:28-05:00",
"submitted_by_merchant_on": null,
"fulfillments": [
{
"shipping_carrier": "UPS",
"shipping_tracking_number": "1234",
"shipping_date": "2017-01-01"
},
{
"shipping_carrier": "FedEx",
"shipping_tracking_number": "4321",
"shipping_date": "2017-01-02"
}
],
"dispute_evidence_files": {
"cancellation_policy_file_id": null,
"customer_communication_file_id": 539650252,
"refund_policy_file_id": null,
"service_documentation_file_id": null,
"shipping_documentation_file_id": 799719586,
"uncategorized_file_id": 567271523
}
}
}

Updates dispute evidence associated with the dispute ID.


api_version
string
required

dispute_id
string
required

Was this section helpful?

Submits dispute evidence request

Path parameters
dispute_id=598735659
string
required

Update dispute evidence's information

Path parameters
dispute_id=598735659
string
required
Request body
dispute_evidence
Dispute_evidence resource
Show dispute_evidence properties
dispute_evidence.access_activity_log:"https://example.com/access-activity-log"

The activity logs associated with the dispute evidence.

dispute_evidence.cancellation_policy_disclosure:"https://example.com/cancellation-policy"

The cancellation policy disclosure associated with the dispute evidence.

dispute_evidence.cancellation_rebuttal:"https://example.com/cancellation-rebuttal"

The cancellation rebuttal associated with the dispute evidence.

dispute_evidence.customer_email_address:"customer@example.com"

The customer's email address.

dispute_evidence.customer_first_name:"John"

The customer's first name.

dispute_evidence.customer_last_name:"Doe"

The customer's last name.

dispute_evidence.refund_policy_disclosure:"https://example.com/refund-policy"

The refund policy disclosure associated with the dispute evidence.

dispute_evidence.refund_refusal_explanation:"Product must have receipt of proof of purchase"

The refund refusal explanation associated with the dispute evidence.

dispute_evidence.uncategorized_text:"Any additional notes"

The uncategorized text for the dispute evidence.

Was this section helpful?
put

/admin/api/unstable/shopify_payments/disputes/598735659/dispute_evidences.json

curl -d '{"dispute_evidence":{"submit_evidence":true}}' \
-X PUT "https://your-development-store.myshopify.com/admin/api/unstable/shopify_payments/disputes/598735659/dispute_evidences.json" \
-H "X-Shopify-Access-Token: {access_token}" \
-H "Content-Type: application/json"
{}

Response

JSON
HTTP/1.1 200 OK
{
"dispute_evidence": {
"id": 819974671,
"payments_dispute_id": 598735659,
"access_activity_log": null,
"billing_address": {
"id": 867402159,
"address1": "123 Amoebobacterieae St",
"address2": "",
"city": "Ottawa",
"province": "Ontario",
"province_code": "ON",
"country": "Canada",
"country_code": "CA",
"zip": "K2P0V6"
},
"cancellation_policy_disclosure": null,
"cancellation_rebuttal": null,
"customer_email_address": "example@shopify.com",
"customer_first_name": "Kermit",
"customer_last_name": "the Frog",
"product_description": "Product name: Draft\nTitle: 151cm\nPrice: $10.00\nQuantity: 1\nProduct Description: good board",
"refund_policy_disclosure": null,
"refund_refusal_explanation": null,
"shipping_address": {
"id": 867402159,
"address1": "123 Amoebobacterieae St",
"address2": "",
"city": "Ottawa",
"province": "Ontario",
"province_code": "ON",
"country": "Canada",
"country_code": "CA",
"zip": "K2P0V6"
},
"uncategorized_text": "Sample uncategorized text",
"created_at": "2026-01-09T17:04:11-05:00",
"updated_at": "2026-01-09T17:31:25-05:00",
"submitted_by_merchant_on": null,
"fulfillments": [
{
"shipping_carrier": "UPS",
"shipping_tracking_number": "1234",
"shipping_date": "2017-01-01"
},
{
"shipping_carrier": "FedEx",
"shipping_tracking_number": "4321",
"shipping_date": "2017-01-02"
}
],
"dispute_evidence_files": {
"cancellation_policy_file_id": null,
"customer_communication_file_id": 539650252,
"refund_policy_file_id": null,
"service_documentation_file_id": null,
"shipping_documentation_file_id": 799719586,
"uncategorized_file_id": 567271523
}
}
}